# ignore these folders
target/
.idea/
.settings/
.vscode/


# ignore these files
.classpath
.project
.settings
.idea

# filter databfile、sln file
*.mdb
*.ldb
*.sln

# class file
*.com
*.class
*.dll
*.exe
*.o
*.so

# compression file
*.7z
*.dmg
*.gz
*.iso
*.jar
*.rar
*.via
*.tmp
*.err
*.log
*.iml

# OS generated files
.DS_Store
.DS_Store?
._*
.Spotlight-V100
.Trashes
ehthumbs.db
Thumbs.db
.factorypath
.mvn/
mvnw.cmd
mvnw

# Files or folders need to be retained
# ...
/k8s/template-yaml/deploy/
/k8s/dockerfiles/html/
/k8s/dockerfiles/jar
